You dont have javascript enabled! Please download Google Chrome!
맨 위로 스크롤

리눅스 패키지 설치중 Failed dependencies 문제


Jooy - 2017-05-31 - 2 개의 댓글

Failed dependencies 오류


패키지 저장소를 직접 추가하고 패키지 설치를 할 경우 설치 도중 Failed dependencies가 뜰 수 있습니다.

(아래 예시는 CentOS에서 MariaDB 저장소를 추가한 후 MariaDB 패키지를 설치할 때 발생하는 오류 메세지 예시입니다.)

[root@ip-172-31-3-104 conf.d]# yum install MariaDB-server MariaDB-client
Loaded plugins: priorities, update-motd, upgrade-helper
1006 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package MariaDB-client.x86_64 0:10.1.23-1.el7.centos will be installed
--> Processing Dependency: MariaDB-common for package: MariaDB-client-10.1.23-1.el7.centos.x86_64
---> Package MariaDB-server.x86_64 0:10.1.23-1.el7.centos will be installed
--> Processing Dependency: galera for package: MariaDB-server-10.1.23-1.el7.centos.x86_64
--> Processing Dependency: libsystemd.so.0(LIBSYSTEMD_209)(64bit) for package: MariaDB-server-10.1.23-1.el7.centos.x86_64
--> Processing Dependency: libjemalloc.so.1()(64bit) for package: MariaDB-server-10.1.23-1.el7.centos.x86_64
--> Processing Dependency: libsystemd.so.0()(64bit) for package: MariaDB-server-10.1.23-1.el7.centos.x86_64
--> Running transaction check
---> Package MariaDB-common.x86_64 0:10.1.23-1.el7.centos will be installed
---> Package MariaDB-server.x86_64 0:10.1.23-1.el7.centos will be installed
--> Processing Dependency: libsystemd.so.0(LIBSYSTEMD_209)(64bit) for package: MariaDB-server-10.1.23-1.el7.centos.x86_64
--> Processing Dependency: libsystemd.so.0()(64bit) for package: MariaDB-server-10.1.23-1.el7.centos.x86_64
---> Package galera.x86_64 0:25.3.20-1.rhel7.el7.centos will be installed
--> Processing Dependency: libboost_program_options.so.1.53.0()(64bit) for package: galera-25.3.20-1.rhel7.el7.centos.x86_64
---> Package jemalloc.x86_64 0:3.3.1-1.8.amzn1 will be installed
--> Running transaction check
---> Package MariaDB-server.x86_64 0:10.1.23-1.el7.centos will be installed
--> Processing Dependency: libsystemd.so.0(LIBSYSTEMD_209)(64bit) for package: MariaDB-server-10.1.23-1.el7.centos.x86_64
--> Processing Dependency: libsystemd.so.0()(64bit) for package: MariaDB-server-10.1.23-1.el7.centos.x86_64
---> Package boost-program-options.x86_64 0:1.53.0-14.21.amzn1 will be installed
--> Finished Dependency Resolution
Error: Package: MariaDB-server-10.1.23-1.el7.centos.x86_64 (mariadb)
Requires: libsystemd.so.0()(64bit)
Error: Package: MariaDB-server-10.1.23-1.el7.centos.x86_64 (mariadb)
Requires: libsystemd.so.0(LIBSYSTEMD_209)(64bit)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

 

이렇게 Failed dependencies 문제로 패키지 설치에 실패하게 되면 대부분의 경우 다음과 같은 방법으로 해결 할 수 있습니다.

# yum clean metadata

 

위 명령어로 메타 데이터를 초기화 한 후에, 다시 패키지를 설치해 보면 문제 없이 설치됨을 확인할 수 있습니다.

관련 포스트

2 개의 댓글

  1. 하찮은존재

    당신은 천재입니까? 덕분에 문제를 해결했습니다
    감사합니다.

댓글 달기

이메일은 공개되지 않습니다. 필수 입력창은 * 로 표시되어 있습니다

error: 경고: 콘텐츠가 보호되고 있습니다. 복사 및 무단 사용을 금지합니다.